summaryrefslogtreecommitdiff
path: root/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script
diff options
context:
space:
mode:
Diffstat (limited to 'vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script')
-rwxr-xr-xvendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/bootstrap7
-rwxr-xr-xvendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/cibuild7
-rwxr-xr-xvendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/console3
-rwxr-xr-xvendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples18
-rwxr-xr-xvendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/fmt4
5 files changed, 39 insertions, 0 deletions
diff --git a/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/bootstrap b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/bootstrap
new file mode 100755
index 0000000..a0cf262
--- /dev/null
+++ b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/bootstrap
@@ -0,0 +1,7 @@
+#! /bin/sh
+
+set -e
+
+echo "Time to get set up."
+bundle install
+echo "Boom."
diff --git a/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/cibuild b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/cibuild
new file mode 100755
index 0000000..43eac1a
--- /dev/null
+++ b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/cibuild
@@ -0,0 +1,7 @@
+#! /bin/sh
+
+set -ex
+
+bundle exec rspec
+script/fmt
+script/examples
diff --git a/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/console b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/console
new file mode 100755
index 0000000..27ed279
--- /dev/null
+++ b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/console
@@ -0,0 +1,3 @@
+#! /bin/bash
+
+irb -r./lib/mercenary.rb
diff --git a/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples
new file mode 100755
index 0000000..a722ab3
--- /dev/null
+++ b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples
@@ -0,0 +1,18 @@
+#! /bin/bash
+
+set -e
+
+function run () {
+ echo "+ ruby ./examples/$@"
+ ruby -e "puts '=' * 79"
+ ruby ./examples/$@
+ ruby -e "puts '=' * 79"
+}
+
+run logging.rb
+run logging.rb -v
+run help_dialogue.rb -h
+run help_dialogue.rb some_subcommand -h
+run help_dialogue.rb another_subcommand -h
+run help_dialogue.rb some_subcommand yet_another_sub -h
+run help_dialogue.rb some_subcommand yet_another_sub -b
diff --git a/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/fmt b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/fmt
new file mode 100755
index 0000000..74118c5
--- /dev/null
+++ b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/fmt
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+echo "Rubocop $(bundle exec rubocop --version)"
+bundle exec rubocop -S -D -E $@